var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
import { Injector, forwardRef, NgZone, ChangeDetectorRef, ElementRef, ViewEncapsulation, Component } from '@angular/core';
import { Router, ActivatedRoute } from '@angular/router';
import { OFormComponent, OntimizeService, dataServiceFactory } from 'ontimize-web-ngx';
var ɵ0 = dataServiceFactory;
var ExtendedFormComponent = (function (_super) {
    __extends(ExtendedFormComponent, _super);
    function ExtendedFormComponent(router, actRoute, zone, cd, injector, elRef) {
        return _super.call(this, router, actRoute, zone, cd, injector, elRef) || this;
    }
    ExtendedFormComponent.prototype.isInitialStateChanged = function () {
        return false;
    };
    ExtendedFormComponent.decorators = [
        { type: Component, args: [{
                    selector: 'extended-form',
                    providers: [
                        { provide: OntimizeService, useFactory: ɵ0, deps: [Injector] },
                        {
                            provide: OFormComponent,
                            useExisting: forwardRef(function () { return ExtendedFormComponent; })
                        }
                    ],
                    template: "\n    <ng-host oKeyboardListener keyboardKeys=\"17;90\" (onKeysPressed)=\"undoKeyboardPressed()\">\n      <div fxFlex=\"grow\">\n        <o-form-toolbar *ngIf=\"showHeader\" [label-header]=\"labelheader\" [label-header-align]=\"labelHeaderAlign\" [header-actions]=\"headeractions\"\n          [show-header-navigation]=\"showHeaderNavigation\" [show-header-actions-text]=\"showHeaderActionsText\" [class.o-form-toolbar-floating]=\"headerMode === 'floating'\"\n          [class.o-form-toolbar-floating-scrolled]=\"hasScrolled\">\n\n          <div o-custom-form-toolbar-buttons-wrapper fxLayout=\"row\" fxLayoutAlign=\"end center\">\n            <ng-content select=\"[o-form-toolbar-buttons]\"></ng-content>\n          </div>\n        </o-form-toolbar>\n\n        <form #innerForm [formGroup]=\"formGroup\" class=\"inner-form\" [class.form-no-toolbar]=\"!showHeader\"\n          fxLayout=\"column\" autocomplete=\"off\" autocorrect=\"off\" autocapitalize=\"off\" spellcheck=\"false\">\n          <div fxFlex=\"100\" *ngIf=\"loading\" class=\"progress-bar-container\">\n            <mat-progress-bar mode=\"indeterminate\"></mat-progress-bar>\n          </div>\n          <div layout-padding [class.force-display-block]=\"layoutDirection === 'column'\" [fxLayout]=\"layoutDirection\" class=\"o-form-content-wrapper\">\n            <ng-content></ng-content>\n          </div>\n        </form>\n      </div>\n    </ng-host>\n  ",
                    inputs: OFormComponent.DEFAULT_INPUTS_O_FORM,
                    outputs: OFormComponent.DEFAULT_OUTPUTS_O_FORM,
                    encapsulation: ViewEncapsulation.None,
                    host: {
                        '[class.o-form]': 'true',
                        '[class.fill]': 'layoutFill'
                    }
                },] },
    ];
    ExtendedFormComponent.ctorParameters = function () { return [
        { type: Router, },
        { type: ActivatedRoute, },
        { type: NgZone, },
        { type: ChangeDetectorRef, },
        { type: Injector, },
        { type: ElementRef, },
    ]; };
    return ExtendedFormComponent;
}(OFormComponent));
export { ExtendedFormComponent };
export { ɵ0 };
//# sourceMappingURL=extended-form.component.js.map