import { AppMenuItem } from './app-menu-item.model';
import { OComponentData } from '../../ontimize-components-data/o-component-data.class';
import { ComponentsDataService } from '../../services/components-data.service';
export declare const DEFAULT_INPUTS_APP_MENU_ITEM: string[];
export declare const DEFAULT_OUTPUTS_APP_MENU_ITEM: any[];
export declare class AppMenuItemComponent implements AppMenuItem {
    private componentsDataService;
    static DEFAULT_INPUTS_APP_MENU_ITEM: string[];
    static DEFAULT_OUTPUTS_APP_MENU_ITEM: any[];
    label: string;
    icon: string;
    type: string;
    style: string;
    id: string;
    componentDragEnabled: boolean;
    onlyIcons: boolean;
    noIcon: boolean;
    indent: string;
    constructor(componentsDataService: ComponentsDataService);
    ngOnInit(): void;
    getDraggableData(): OComponentData;
}
