var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
import { Component, HostBinding } from '@angular/core';
import { AppMenuTitle } from './app-menu-title.class';
var AppMenuTitleComponent = (function (_super) {
    __extends(AppMenuTitleComponent, _super);
    function AppMenuTitleComponent() {
        return _super.call(this) || this;
    }
    AppMenuTitleComponent.decorators = [
        { type: Component, args: [{
                    selector: 'app-menu-title',
                    inputs: [
                        'label: app-label',
                        'style: app-style',
                        'onlyIcons: only-icons',
                        'closed: title-closed'
                    ],
                    template: "\n    <div [ngClass]=\"['title', style]\" title=\"{{ label }}\">\n      <div class=\"title-label\" fxLayout=\"center\">\n        <span class=\"title-label-text\" fxFlex>{{ label }}</span>\n      </div>\n      <button mat-button>\n        <mat-icon class=\"material-icons title-icon\" [class.closed]=\"closed\" border=\"0\">expand_more</mat-icon>\n      </button>\n    </div>\n  ",
                    styles: ["\n    ::-webkit-scrollbar{width:5px;height:4px}::-webkit-scrollbar-button{width:0px;height:0px}::-webkit-scrollbar-thumb{background:rgba(255,223,119,0.2)}::-webkit-scrollbar-track{background:rgba(17,17,17,0.3)}::-webkit-scrollbar-thumb:active{background:rgba(17,17,17,0.3)}::-webkit-scrollbar-thumb,::-webkit-scrollbar-track{border:none}::-webkit-scrollbar-track:hover,::-webkit-scrollbar-track:active,::-webkit-scrollbar-corner{background:transparent}o-dynamic-form-builder .dynamicform-container{height:100%}o-dynamic-form-builder .dynamicform-container .dropzone-container{height:95%;overflow:auto}:host{user-select:none}:host .title{display:flex;flex-direction:row;height:48px;line-height:48px}:host .title-label{flex:1 1 auto;padding-left:8px}:host button{width:48px;min-width:48px;height:48px;line-height:48px;padding:0}:host .title-icon{flex:0 0 auto;width:48px;height:48px;line-height:48px;transition:350ms;transition-timing-function:ease-in-out;transform:rotate(180deg)}:host .title-icon.closed{transform:rotate(0deg)}:host.nolabels .title{text-align:center}:host.nolabels .title .title-label{display:none !important}:host.nolabels .title .title-icon{padding:0 !important}\n  "]
                },] },
    ];
    AppMenuTitleComponent.ctorParameters = function () { return []; };
    AppMenuTitleComponent.propDecorators = {
        "onlyIcons": [{ type: HostBinding, args: ['class.nolabels',] },],
    };
    return AppMenuTitleComponent;
}(AppMenuTitle));
export { AppMenuTitleComponent };
//# sourceMappingURL=app-menu-title.component.js.map