var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
import { DEFAULT_INPUTS_O_CURRENCY_INPUT } from 'ontimize-web-ngx';
import { ORealInputData } from './o-real-input.data';
var OCurrencyInputData = (function (_super) {
    __extends(OCurrencyInputData, _super);
    function OCurrencyInputData() {
        return _super.call(this) || this;
    }
    OCurrencyInputData.prototype.getDirective = function () {
        return 'o-currency-input';
    };
    OCurrencyInputData.prototype.getInputsProperties = function () {
        return DEFAULT_INPUTS_O_CURRENCY_INPUT;
    };
    OCurrencyInputData.prototype.getTemplateInputsData = function () {
        var templateInputsData = _super.prototype.getTemplateInputsData.call(this);
        templateInputsData['currency-symbol'] = {
            'type': 'combo',
            'label': 'currency-symbol',
            'tooltip': '',
            'default': 'EUR',
            'required': false,
            'values': [
                'USD',
                'EUR',
                'CRC',
                'GBP',
                'ILS',
                'INR',
                'JPY',
                'KRW',
                'NGN',
                'PHP',
                'PLN',
                'PYG',
                'THB',
                'UAH',
                'VND'
            ]
        };
        templateInputsData['currency-symbol-position'] = {
            'type': 'combo',
            'label': 'currency-symbol-position',
            'tooltip': '',
            'default': 'right',
            'required': false,
            'values': [
                'left',
                'right'
            ]
        };
        return templateInputsData;
    };
    return OCurrencyInputData;
}(ORealInputData));
export { OCurrencyInputData };
//# sourceMappingURL=o-currency-input.data.js.map