var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
import { DEFAULT_INPUTS_O_DATE_INPUT } from 'ontimize-web-ngx';
import { OTextInputData } from './o-text-input.data';
var ODateInputData = (function (_super) {
    __extends(ODateInputData, _super);
    function ODateInputData() {
        return _super.call(this) || this;
    }
    ODateInputData.prototype.getDirective = function () {
        return 'o-date-input';
    };
    ODateInputData.prototype.getInputsProperties = function () {
        return DEFAULT_INPUTS_O_DATE_INPUT;
    };
    ODateInputData.prototype.getTemplateInputsData = function () {
        var templateInputsData = _super.prototype.getTemplateInputsData.call(this);
        templateInputsData['format'] = {
            'type': 'string',
            'label': 'format',
            'tooltip': '',
            'default': null,
            'required': false
        };
        templateInputsData['locale'] = {
            'type': 'string',
            'label': 'locale',
            'tooltip': '',
            'default': null,
            'required': false
        };
        templateInputsData['touch-ui'] = {
            'type': 'boolean',
            'label': 'touch-ui',
            'tooltip': '',
            'default': false,
            'required': false
        };
        return templateInputsData;
    };
    return ODateInputData;
}(OTextInputData));
export { ODateInputData };
//# sourceMappingURL=o-date-input.data.js.map