var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
import { DEFAULT_INPUTS_O_INTEGER_INPUT } from 'ontimize-web-ngx';
import { OTextInputData } from './o-text-input.data';
var OIntegerInputData = (function (_super) {
    __extends(OIntegerInputData, _super);
    function OIntegerInputData() {
        return _super.call(this) || this;
    }
    OIntegerInputData.prototype.getDirective = function () {
        return 'o-integer-input';
    };
    OIntegerInputData.prototype.getInputsProperties = function () {
        return DEFAULT_INPUTS_O_INTEGER_INPUT;
    };
    OIntegerInputData.prototype.getTemplateInputsData = function () {
        var templateInputsData = _super.prototype.getTemplateInputsData.call(this);
        templateInputsData['min'] = {
            'type': 'number',
            'label': 'min',
            'tooltip': '',
            'default': null,
            'required': false
        };
        templateInputsData['max'] = {
            'type': 'number',
            'label': 'max',
            'tooltip': '',
            'default': null,
            'required': false
        };
        templateInputsData['step'] = {
            'type': 'number',
            'label': 'step',
            'tooltip': '',
            'default': 1,
            'required': false
        };
        templateInputsData['grouping'] = {
            'type': 'boolean',
            'label': 'grouping',
            'tooltip': '',
            'default': false,
            'required': false
        };
        templateInputsData['thousand-separator'] = {
            'type': 'string',
            'label': 'thousand-separator',
            'tooltip': '',
            'default': null,
            'required': false
        };
        templateInputsData['locale'] = {
            'type': 'string',
            'label': 'locale',
            'tooltip': '',
            'default': null,
            'required': false
        };
        return templateInputsData;
    };
    return OIntegerInputData;
}(OTextInputData));
export { OIntegerInputData };
//# sourceMappingURL=o-integer-input.data.js.map