var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
import { OComponenetDataInput } from '../input/o-component-data-input.class';
var OComponentFormDataService = (function (_super) {
    __extends(OComponentFormDataService, _super);
    function OComponentFormDataService() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    OComponentFormDataService.prototype.getTemplateInputsData = function () {
        var templateInputsData = _super.prototype.getTemplateInputsData.call(this);
        templateInputsData['static-data'] = {
            'type': 'json',
            'label': 'static-data',
            'tooltip': '',
            'default': null,
            'required': false
        };
        templateInputsData['entity'] = {
            'type': 'string',
            'label': 'entity',
            'tooltip': '',
            'default': null,
            'required': false
        };
        templateInputsData['service'] = {
            'type': 'string',
            'label': 'service',
            'tooltip': '',
            'default': null,
            'required': false
        };
        templateInputsData['columns'] = {
            'type': 'string',
            'label': 'columns',
            'tooltip': '',
            'default': null,
            'required': true
        };
        templateInputsData['value-column'] = {
            'type': 'string',
            'label': 'value-column',
            'tooltip': '',
            'default': null,
            'required': true
        };
        templateInputsData['value-column-type'] = {
            'type': 'string',
            'label': 'value-column-type',
            'tooltip': '',
            'default': 'int',
            'required': true
        };
        templateInputsData['parent-keys'] = {
            'type': 'string',
            'label': 'parent-keys',
            'tooltip': '',
            'default': null,
            'required': false
        };
        templateInputsData['visible-columns'] = {
            'type': 'string',
            'label': 'visible-columns',
            'tooltip': '',
            'default': null,
            'required': false
        };
        templateInputsData['description-columns'] = {
            'type': 'string',
            'label': 'description-columns',
            'tooltip': '',
            'default': null,
            'required': false
        };
        templateInputsData['separator'] = {
            'type': 'string',
            'label': 'separator',
            'tooltip': '',
            'default': null,
            'required': false
        };
        templateInputsData['query-on-init'] = {
            'type': 'boolean',
            'label': 'query-on-init',
            'tooltip': '',
            'default': true,
            'required': true
        };
        templateInputsData['query-on-bind'] = {
            'type': 'boolean',
            'label': 'query-on-bind',
            'tooltip': '',
            'default': false,
            'required': true
        };
        templateInputsData['service-type'] = {
            'type': 'string',
            'label': 'service-type',
            'tooltip': '',
            'default': null,
            'required': false
        };
        return templateInputsData;
    };
    return OComponentFormDataService;
}(OComponenetDataInput));
export { OComponentFormDataService };
//# sourceMappingURL=o-component-form-data-service.class.js.map