export interface List<E> extends Array<E> {
    size(): number;
    isEmpty(): boolean;
    contains(o: E): boolean;
    toArray(): Array<E>;
    containsAll(c: Array<E>): boolean;
    pushAll(c: Array<E>): List<E>;
    removeAll(c: Array<E>): List<E>;
    clear(): any;
    get(index: number): E;
    set(index: number, element: E): List<E>;
    remove(index: number): E;
}
