import { OnInit, OnDestroy, EventEmitter } from '@angular/core';
import { PropertyMetadataClass } from './property.metadata.class';
import { ComponentSettingsDialogComponent } from '../component-settings-dialog.component';
export declare const DEFAULT_INPUTS_TEXT_METADATA: string[];
export declare const DEFAULT_OUTPUTS_TEXT_METADATA: string[];
export declare class TextMetadataComponent extends PropertyMetadataClass implements OnInit, OnDestroy {
    static DEFAULT_INPUTS_TEXT_METADATA: string[];
    static DEFAULT_OUTPUTS_TEXT_METADATA: string[];
    onChange: EventEmitter<Object>;
    constructor(settingsDialog: ComponentSettingsDialogComponent);
    parseValue(arg: any): any;
    ngOnInit(): void;
    ngOnDestroy(): void;
}
