var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
import { DEFAULT_INPUTS_O_REAL_INPUT } from 'ontimize-web-ngx';
import { OIntegerInputData } from './o-integer-input.data';
var ORealInputData = (function (_super) {
    __extends(ORealInputData, _super);
    function ORealInputData() {
        return _super.call(this) || this;
    }
    ORealInputData.prototype.getDirective = function () {
        return 'o-real-input';
    };
    ORealInputData.prototype.getInputsProperties = function () {
        return DEFAULT_INPUTS_O_REAL_INPUT;
    };
    ORealInputData.prototype.getTemplateInputsData = function () {
        var templateInputsData = _super.prototype.getTemplateInputsData.call(this);
        templateInputsData['min-decimal-digits'] = {
            'type': 'number',
            'label': 'min-length',
            'tooltip': '',
            'default': 2,
            'required': true
        };
        templateInputsData['max-decimal-digits'] = {
            'type': 'number',
            'label': 'max-length',
            'tooltip': '',
            'default': 2,
            'required': true
        };
        templateInputsData['decimal-separator'] = {
            'type': 'string',
            'label': 'decimal-separator',
            'tooltip': '',
            'default': null,
            'required': false
        };
        templateInputsData['decimal-digits'] = {
            'type': 'number',
            'label': 'decimal-digits',
            'tooltip': '',
            'default': 2,
            'required': false
        };
        return templateInputsData;
    };
    return ORealInputData;
}(OIntegerInputData));
export { ORealInputData };
//# sourceMappingURL=o-real-input.data.js.map