import { OCurrencyInputData, ODateInputData, OEmailInputData, OIntegerInputData, ONifInputData, OPasswordInputData, OPercentInputData, ORealInputData, OTextInputData, OTextareaInputData, OColumnData, ORowData, OComboData, OListPickerData, OCheckboxData, OTableData } from '../ontimize-components-data';
import { OComponentData } from '../ontimize-components-data/o-component-data.class';
export declare class ComponentsDataService {
    constructors: {
        'o-currency-input': typeof OCurrencyInputData;
        'o-date-input': typeof ODateInputData;
        'o-email-input': typeof OEmailInputData;
        'o-integer-input': typeof OIntegerInputData;
        'o-nif-input': typeof ONifInputData;
        'o-password-input': typeof OPasswordInputData;
        'o-percent-input': typeof OPercentInputData;
        'o-real-input': typeof ORealInputData;
        'o-text-input': typeof OTextInputData;
        'o-textarea-input': typeof OTextareaInputData;
        'o-column': typeof OColumnData;
        'o-row': typeof ORowData;
        'o-combo': typeof OComboData;
        'o-list-picker': typeof OListPickerData;
        'o-checkbox': typeof OCheckboxData;
        'o-table': typeof OTableData;
    };
    getOntimizeComponentData(componentName: any): OComponentData;
}
